Announcement Announcement Module
Collapse
No announcement yet.
import-library diagnostics in tooling Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • import-library diagnostics in tooling

    I developed application in Spring & OSGi. I have used SpringSource dm Server to deploy.

    I am able to download org.hibernate.ejb;version="[3.3.2.GA,3.3.2.GA]" library from the SpringSource repository. It is downloaded successfully and available in ..\libraries\usr, FILE:org.hibernate.ejb-library-3.3.2.GA.libd

    But when I am trying to save the manifest.mf file it gives me the error:

    Import-Library: org.hibernate.ejb [3.3.2.GA, 3.3.2.GA] could not be resolved.

    This kind of problem happens with any library I download.

    (Note: I am successfully able to run the application at work place & now I configured the same at my home. At work space using XP & at home using vista)

  • #2
    Since the error occurs when you save the manifest, it seems to be a tooling issue. I'll transfer the thread to the correct forum.

    Comment


    • #3
      yes i have the same problem with spring dm so i download the bundle from :

      http://www.springsource.com/repository/app/

      and i past it in spring dm server/repository/ext

      it should work

      Comment


      • #4
        Thanks for the reply.

        I am able to solve the problem.

        I removed the library from the manifest.mf and added all the bundle that are contained in the library to .mf file. It is working fine.

        Now when I tried to add the library there is no error.

        My observation is if we want to add the library then the relevant bundles must be there in the repository/bundles


        Regards,
        Gohil

        Comment


        • #5
          good for you !!

          you tried to deploy web bundle ? because it seems don't work for me !!

          Comment

          Working...
          X